<!DOCTYPE html>
<html lang = "en" xmlns:th="http://www.thymeleaf.org" th:replace="user/user_base::layout(~{::section})">
<head>
<meta charset="ISO-8859-1">
<title>Contact Details</title>
</head>
<body>
	
	<section>
			
				<!-- alert message for record add successful or failure -->
				<div th:if="${session.message}"  class="container col-8">
					
						<div th:classappend="${'alert-'+session.message.type}" class="alert  text-center">
							<span th:text="${session.message.content}"></span>
						</div>
				
						<!-- remove alert after completion -->
						<th:block th:text="${#session.removeAttribute('message')}"></th:block>
						
				</div>
			
			<div th:if="${contact}" class="card m-3">
				
				<div class="container text-center">
					
					<img style="height:150px; width:150px"  src="" class="show_contact_img" th:src="@{'/image/'+${contact.image}}" alt="" />
					<div>
						<h2 ><span th:text="${contact.name}"></span> (<span th:text="${contact.secondName}"></span>) </h2>
					</div>
				</div>
				
				
				<div class="card-body text-center">
					
						<table class="table">
							<thead>
								    <tr>
								      <th scope="col">#ID</th>
								      <th scope="col"><span th:text="${contact.cId}"></span></th>
								    </tr>
							</thead>
						
							<tbody>
								    <tr>
								      <td> Work</td>
								      <td><span th:text="${contact.work}"></span></td>
								    </tr>
								    
								   <tr>
								      <td> Email</td>
								      <td><span th:text="${contact.email}"></span></td>
								    </tr>
								    
								   <tr>
								      <td> Phone</td>
								      <td><span th:text="${contact.phone}"></span></td>
								    </tr>
								    
							 </tbody>
						
						</table>
						
						<div class="container text-center">
							<th:block th:utext="${contact.description}"> 
							
							</th:block>
														
						</div>
						<div class="container mt-3">
								<a class="btn btn-danger btn-sm" href="#" th:onclick="|deleteContact(${contact.cId})|">Delete</a>
								<a th:href="'/user/update-contact/'+${contact.cId}" class="btn btn-info btn-sm" href="#" >Update</a>
						</div>
				
				</div>
				
			</div>
			
			<div class="container text-center" th:if="${message}">
				<div class="card alert alert-warning">
					<div class="card-body">
						
  								alert ...!! <span th:text="${message.content}"></span>
						
					</div>
				</div>				
			</div>
			
	</section>
</body>
</html>